> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1logs 1



## OpenAPI

````yaml /api-reference/openapi.json get /v1/logs
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/logs:
    get:
      tags:
        - Logs
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfApiLogResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfApiLogResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfApiLogResponse
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    SmartbillsSDKDTOCoreSBListOfApiLogResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/LogsApiLogResponse'
          nullable: true
        pagination:
          $ref: '#/components/schemas/SmartbillsSDKDTOCorePaginationMetadata'
      additionalProperties: false
    LogsApiLogResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        sessionId:
          type: string
          nullable: true
        requestId:
          type: string
          nullable: true
        method:
          type: string
          nullable: true
        traceIdentifier:
          type: string
          nullable: true
        statusCode:
          type: integer
          format: int32
        requestHeaders:
          type: string
          nullable: true
        requestBody:
          type: string
          nullable: true
        responseBody:
          type: string
          nullable: true
        responseHeaders:
          type: string
          nullable: true
        latency:
          type: integer
          format: int64
        ipAddress:
          type: string
          nullable: true
        timestamp:
          type: string
          format: date-time
        url:
          type: string
          nullable: true
        query:
          type: string
          nullable: true
        userAgent:
          type: string
          nullable: true
        clientId:
          type: string
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    SmartbillsSDKDTOCorePaginationMetadata:
      type: object
      properties:
        count:
          type: integer
          format: int32
        pageCount:
          type: integer
          format: int32
        currentPage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
      additionalProperties: false

````